Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.regexp
Class JakartaRegexpMatcher

    java.lang.Object
      org.apache.tools.ant.util.regexp.JakartaRegexpMatcher

All Implemented Interfaces:
  RegexpMatcher

Direct Known Subclasses:
  JakartaRegexpRegexp

public class JakartaRegexpMatcher
extends java.lang.Object
implements RegexpMatcher

Implementation of RegexpMatcher for Jakarta-Regexp.

Author:
  Stefan Bodewig, Matthew Inger mattinger@mindless.com

Field Summary

Fields inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher
`MATCH_CASE_INSENSITIVE, MATCH_DEFAULT, MATCH_MULTILINE, MATCH_SINGLELINE`

Constructor Summary
`JakartaRegexpMatcher()`

Method Summary
`protected org.apache.regexp.RE` | `getCompiledPattern(int options)`
`protected int` | `getCompilerOptions(int options)`
`java.util.Vector` | `getGroups(java.lang.String argument)` Returns a Vector of matched groups found in the argument.
`java.util.Vector` | `getGroups(java.lang.String input, int options)` Get the match groups from this regular expression.
`java.lang.String` | `getPattern()` Get a String representation of the regexp pattern
`boolean` | `matches(java.lang.String argument)` Does the given argument match the pattern?
`boolean` | `matches(java.lang.String input, int options)` Does the given argument match the pattern?
`void` | `setPattern(java.lang.String pattern)` Set the regexp pattern from the String description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JakartaRegexpMatcher

    public JakartaRegexpMatcher()

Method Detail

### setPattern

    public void setPattern(java.lang.String pattern)

  Set the regexp pattern from the String description.

  Specified by:
    `setPattern` in interface `RegexpMatcher`

### getPattern

    public java.lang.String getPattern()

  Get a String representation of the regexp pattern

  Specified by:
    `getPattern` in interface `RegexpMatcher`

### getCompiledPattern

    protected org.apache.regexp.RE getCompiledPattern(int options)
                                               throws BuildException

  Throws:
    `BuildException`

### matches

    public boolean matches(java.lang.String argument)
                    throws BuildException

  Does the given argument match the pattern?

  Specified by:
    `matches` in interface `RegexpMatcher`
  Throws:
    `BuildException`

### matches

    public boolean matches(java.lang.String input,
                           int options)
                    throws BuildException

  Does the given argument match the pattern?

  Specified by:
    `matches` in interface `RegexpMatcher`
  Parameters:
    `input` - The string to check for a match
    `options` - The list of options for the match. See the MATCH_ constants above.
  Throws:
    `BuildException`

### getGroups

    public java.util.Vector getGroups(java.lang.String argument)
                               throws BuildException

  Returns a Vector of matched groups found in the argument.

  Group 0 will be the full match, the rest are the parenthesized subexpressions

  .

  Specified by:
    `getGroups` in interface `RegexpMatcher`
  Throws:
    `BuildException`

### getGroups

    public java.util.Vector getGroups(java.lang.String input,
                                      int options)
                               throws BuildException

  Description copied from interface: `RegexpMatcher`
  Get the match groups from this regular expression. The return type of the elements is always String.

  Specified by:
    `getGroups` in interface `RegexpMatcher`
  Parameters:
    `input` - The string to check for a match
    `options` - The list of options for the match. See the MATCH_ constants above.
  Throws:
    `BuildException`

### getCompilerOptions

    protected int getCompilerOptions(int options)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.